package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDB8 extends MwfRequest<MWFDB8, MWFDB8Response> {

    @Parameter(name = "AMOUNT")
    MWFDB8 amount(Double amount);
    @Parameter(name = "CARDEXPIRYDATE")
    MWFDB8 cardexpirydate(String cardexpirydate);
    @Parameter(name = "CARDNUMBER")
    MWFDB8 cardnumber(String cardnumber);
    @Parameter(name = "REFERENCENUMBER")
    MWFDB8 referencenumber(String referencenumber);
    @Parameter(name = "TERMID")
    MWFDB8 termid(String termid);
    @Parameter(name = "TRANSACTIONTYPE")
    MWFDB8 transactiontype(Long transactiontype);
}
